%define snap r719568

Summary:	A benchmarking tool for Apache2
Name:		flood
Version:	1.1
Release:	%mkrel 3.%{snap}.2
License:	Apache License
Group:		System/Servers
URL:		http://httpd.apache.org/test/flood/
Source0:	flood.tar.gz
Patch0:		flood-openssl-version.diff
Patch1:		flood-less_linkage_fix.diff
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	apr-devel >= 1.2.12
BuildRequires:	apr-util-devel >= 1.2.12
BuildRequires:	apache-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-proc
Requires:	openssl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Flood is a profile-driven HTTP load tester. It can be used to gather important
performance metrics for your website.

%prep

%setup -q -n flood
%patch0 -p0
%patch1 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
export WANT_AUTOCONF_2_5=1
autoconf

%serverbuild

# We need to re-run ./buildconf because of any applied patch(es)
#./buildconf

%configure2_5x \
    --cache-file=config.cache \
    --with-apr=%{_bindir}/apr-1-config \
    --with-apr-util=%{_bindir}/apu-1-config \
    --with-openssl=%{_includedir} \
    --enable-ssl \
    --with-capath=%{_sysconfdir}/pki/flood

%make 

# make docs
mkdir -p manual
xsltproc -o manual/ %{_datadir}/sgml/docbook/xsl-stylesheets/xhtml/chunk.xsl docs/docbook/flood.xml

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/pki/flood/private

# install flood
install -m0755 flood %{buildroot}%{_sbindir}/

%clean
rm -rf %{buildroot} 

%files
%defattr(644,root,root,755)
%doc CHANGES CONFIG DESIGN LICENSE NOTICE STATUS examples manual
%dir %{_sysconfdir}/pki/flood
%dir %{_sysconfdir}/pki/flood/private
%attr(0755,root,root) %{_sbindir}/flood


%changelog
* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.1-3.r719568.2mdv2010.0
+ Revision: 437558
- rebuild

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-3.r719568.1mdv2009.1
+ Revision: 305420
- new svn snap (r719568)

* Tue Sep 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-3.r698121.1mdv2009.0
+ Revision: 287208
- new snap (r698121)
- drop upstream implemented patches
- fix linkage

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-3.r647777.2mdv2009.0
+ Revision: 266803
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r647777.2mdv2009.0
+ Revision: 201848
- new source due to svn switch

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r647777.1mdv2009.0
+ Revision: 195528
- new snap (r647777)
- added P1 to make it build with later gcc (Guy Ferraiolo)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r500244.3mdv2008.1
+ Revision: 137507
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.1-0.r500244.2mdv2008.0
+ Revision: 82860
- rebuild


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r500244.1mdv2007.0
+ Revision: 113781
- Import flood

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r500244.1mdv2007.1
- 1.1
- use a recent svn snap (r500244)

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1.r356281.1mdk
- use a recent svn snap (r356281)
- rebuilt against latest system apr and apr-util
- use the new /etc/pki directory structure

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.8mdk
- rebuilt against openssl-0.9.8a

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.7mdk
- rebuilt against new openldap-2.3.6 libs

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.6mdk
- fix deps

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.20041030.5mdk
- rebuild for ldap2.2_7

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.4mdk
- rebuilt against new openldap libs

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.3mdk
- make --with debug work

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.2mdk
- rebuilt against new apu/apr libs

* Sun Oct 31 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20041030.1mdk
- 20041030
- build against apr and apu 1

* Wed May 12 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20021203.1mdk
- re-added into cooker
- added P0 (suse)
- added S1 from CVS

